LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XResultSetAccess Interface Referencepublished

is the interface to create a com::sun::star::sdbc::ResultSet based on the object providing the interface. More...

`import"XResultSetAccess.idl";`

Inheritance diagram for XResultSetAccess:

## Public Member Functions
com::sun::star::sdbc::XResultSet | createResultSet () raises (com::sun::star::sdbc::SQLException)
| returns a new com::sun::star::sdbc::ResultSet based on the object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the interface to create a com::sun::star::sdbc::ResultSet based on the object providing the interface.

Developers Guide
  Database - Clones of the RowSet Service

## Member Function Documentation

## ◆ createResultSet()

com::sun::star::sdbc::XResultSet createResultSet | ( |  | ) |
raises | ( | com::sun::star::sdbc::SQLException
| ) |  |

returns a new com::sun::star::sdbc::ResultSet based on the object.

Returns
  the new created ResultSet object

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XResultSetAccess.idl